using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;
using TIAM.Resources;

namespace TIAMWebApp.Shared.Application.Models.ClientSide.UI.WizardModels
{
    public class MessageWizardModel
    {
       
        [DataType(DataType.Text)]
        [Display(Name = "ReceiverId", ResourceType = typeof(TIAMResources))]
        public string ReceiverId { get; set; }
        [Required(ErrorMessage = "The subject value should be specified.")]
        [DataType(DataType.Text)]
        [Display(Name = "Subject", ResourceType = typeof(TIAMResources))]
        public string Subject { get; set; }
        [Required(ErrorMessage = "The content value should be specified.")]
        [DataType(DataType.MultilineText)]
        [Display(Name = "HtmlContent", ResourceType = typeof(TIAMResources))]
        public string Content { get; set; }

        public MessageWizardModel() { }
        public MessageWizardModel(string receiverId, string subject, string content)
        {
            ReceiverId = receiverId;
            Subject = subject;
            Content = content;           
        }
    }    
}
